<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Блок - Последние новости
 */

class Blocks_News_Block extends Guard_Block
{
	/**
	 * Отображает заголовки статей
	 *
	 */
	public function articlesAction()
	{
		/*Factory::styleCode('
			.mod-news-block-separate {
			}
		');*/
		
		//Получаем параметры блока
		$Params = parent::getParams();
		
		//Получаем данные кэширования
		$Cache = CacheFile::instance();
		//Ключ кэширования
		$cache_key = __METHOD__;
		$data = $Cache -> get($cache_key,$Params -> cache_time);
		
		if($data == FALSE)
		{
			//Вызываем модель новостной ленты
			$this -> view -> NewsAr = parent::getModel("News", "News") -> getArticlesIndexList(0, $Params -> count);
			$data = $this -> getView();
			$Cache -> set($data,$cache_key);
		}
		$this -> setCacheView($data);		 
	}
}
