<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Библиотека работы с закладками
 */

class Bookmarks
{
	/**
	 * API ID сайта в соц. сети вКонтакте
	 *
	 */
	const VK_API_ID = FALSE;
	
	/**
	 * Возвращает закладки яндекса
	 *
	 * @return string
	 */
	public static function yandex()
	{
		return '<script type="text/javascript" src="//yastatic.net/share/share.js" charset="utf-8"></script><span class="yashare-auto-init" data-yashareL10n="ru" data-yashareType="small" data-yashareQuickServices="vkontakte,facebook,twitter,odnoklassniki,moimir,gplus" data-yashareTheme="counter"></span> 
		';
	}
	
	/**
	 * Возвращает ссылки на соц. закладки
	 *
	 * @return string
	 */
	public static function social()
	{
		$c  = '<div class="btn-social">';
		
		if(self::VK_API_ID)
		{
			/*Вконтакте*/
			Factory::js('http://userapi.com/js/api/openapi.js?49');
			Factory::jsCode('VK.init({apiId: '.self::VK_API_ID.', onlyWidgets: true});');
			
			$c .= '<div class="btn-vk">
			<!-- Put this div tag to the place, where the Like block will be -->
			<div id="vk_like"></div>
			<script type="text/javascript">
			VK.Widgets.Like("vk_like", {type: "mini"});
			</script>
			</div>';
		}
		
		/*Google*/
		 $c .= '<div class="btn-google">
		<!-- Поместите этот тег туда, где должна отображаться кнопка +1. -->
		<g:plusone></g:plusone>
		<!-- Поместите этот вызов функции отображения в соответствующее место. -->
		<script type="text/javascript">
			window.___gcfg = {lang: "ru"};
			(function() {
				var po = document.createElement("script"); po.type = "text/javascript"; po.async = true;
				po.src = "https://apis.google.com/js/plusone.js";
				var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(po, s);
			})();
		</script>
		</div>';
		 
		/*Twitter*/
		$c .= '<div class="btn-tw">
		<a href="https://twitter.com/share" class="twitter-share-button" data-via="grisperix" data-lang="ru">'.Lng::_('Твитнуть').'</a>
		<script>!function(d,s,id){var js,fjs=d.getElementsByTagName(s)[0];if(!d.getElementById(id)){js=d.createElement(s);js.id=id;js.src="//platform.twitter.com/widgets.js";fjs.parentNode.insertBefore(js,fjs);}}(document,"script","twitter-wjs");</script>
		</div>';
		
		/*Facebook*/
		$c .= '<div class="btn-fb">
		<div id="fb-root"></div>
		<script>(function(d, s, id) {
		  var js, fjs = d.getElementsByTagName(s)[0];
		  if (d.getElementById(id)) return;
		  js = d.createElement(s); js.id = id;
		  js.src = "//connect.facebook.net/ru_RU/all.js#xfbml=1";
		  fjs.parentNode.insertBefore(js, fjs);
		}(document, "script", "facebook-jssdk"));</script>
		<div class="fb-like" data-send="false" data-layout="button_count" data-width="130" data-show-faces="false"></div>
		</div>';
		
		$c .= '</div>';
		 
		return $c;
	}
}