<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Класс элемента Datepicker, для вывода окна с выбором даты  
 */

class Element_Datepicker
{
	/**
	 * Возвращает элемент Datepicker
	 *
	 * @param string $element элемент к которому 
	 * @param string $params заменяющие параметры
	 */
	public static  function get($element = NULL, $params = NULL)
	{
		Factory::style('/scripts/jquery/css/ui.core.css');
		Factory::style('/scripts/jquery/icons/icon.css');
		Factory::style('/scripts/jquery/datepicker/ui.datepicker.css');

		Factory::js('/scripts/jquery/ui.core.js');
		Factory::js('/scripts/jquery/datepicker/ui.datepicker.js');
		if(Lng::curLng() == 'ru')
		{
			Factory::js('/scripts/jquery/datepicker/ui.datepicker-ru.js');
		}
		
		$script = "$('".$element."').datepicker({
						buttonImage: '/images/skin/".(User::isCPanel() ? 'admin/' : '' )."icons/icon16-calendar.png', ";
		if($params)
		{
			$script .= $params;
		}
		else
		{
		 $script .= "changeMonth: true, 
					changeYear: true, 
					showOn: 'button', 
					dateFormat: 'dd.mm.yy',
					buttonImageOnly: true ";			
		}
		$script .= "});";
		Factory::jqCode($script);
	}
}