<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Базовый вид
 */
 
class Guard_View extends View 
{
	/**
	 * Устанавливает дополнительные данные в вид
	 *
	 * @param string $additionally XML файл данных полей
	 */
	public function setAdditionallyInView($additionally)
	{
		//Получаем дополнительные данные пользователя
		$SimpleXML = XML::getObj($additionally, FALSE);
		
		//Устанавливаем дополнительные поля
		foreach($SimpleXML as $NodeName => $node_value)
		{
			$this -> $NodeName = trim($node_value);
		}
	}
	
	/**
	 * Добавляем данные в вид
	 *
	 * @param object|array $Data данные
	 */
	public function addToView($data = array())
	{
		foreach($data as $name => $value)
		{
			$this -> $name = $value;
		}
	}
}