<?php defined("MOMENT_BOARD") or die("Access denied"); 
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Хелпер работы с блоками
 */

class Helper_Block
{
	/**
	 * Возвращает содержимое блока
	 *
	 * @param string $block_name название блока
	 */
	public static function get($block_name = NULL)
	{
		static $cache_ar;
		
		if(isset($cache_ar[$block_name]) == false)
		{
			if(is_file('./files/db/models/blocks/'.$block_name.'.html') == true)
			{
				$cache_ar[$block_name] = file_get_contents('./files/db/models/blocks/'.$block_name.'.html');
			}
			else
			{
				$cache_ar[$block_name] = '';
			}
		}

		return $cache_ar[$block_name];
	}
}