<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Класс сингелтон
 */

class Registry
{
	private static $data;
	
	/**
	 * Устанавливает данные
	 *
	 * @param string $index индекс записи
	 * @param string|array|object|int|bool|double $value содержимое записи
	 */
	public static function set($index=null,$value=null)
	{
		self::$data[$index] = $value;
	}
	
	/**
	 * Получает данные
	 *
	 * @param string $index
	 * @param object $DefObj
	 * @return string|array|object|int|bool|double
	 */
	public static function &get($index,$DefObj=false)
	{
		if(!isset(self::$data[$index]))
		{
			if($DefObj)
			{
				return $DefObj;
			}
			throw new Exception_Default("Index \"$index\" - not found [Registry::get()]");
		}
		return self::$data[$index];
	}
}