<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель "EXAMPLE" модуля "EXAMPLE"
 */

class Modules_Blocks_Models_Blocks extends Guard_Model
{
	/**
	 * Возвращает данные блока по его имени
	 *
	 * @param string $bl_name имя блока
	 * @return string|bool
	 */
	public function getBlockByName($bl_name=null)
	{
		if(is_file("./files/db/models/blocks/".$bl_name.".html"))
		{
			return File::read("./files/db/models/blocks/".$bl_name.".html");
		}
		return false;
	}
	
	/**
	 * Обновляем данные блока
	 *
	 * @param string $bl_name имя блока
	 * @param string $content содержимое блока
	 * @return bool
	 */
	public function updateBlockByName($bl_name=null,$content=null)
	{
		if(is_file("./files/db/models/blocks/".$bl_name.".html"))
		{
			File::write("./files/db/models/blocks/".$bl_name.".html",$content);

			return true;
		}
		return false;
	}
}