<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Библиотека "General" модуля "City"
 */

class Modules_City_Libs_General
{
	/**
	 * Возвращает ID города если он создан или создает город и возвращает его ID
	 *
	 * @param object $Model
	 * @param string $city_title
	 * @return int
	 */
	public function createCityIfNotExists($Model=null,$city_title=null)
	{
		//Получаем данные города (первого в списке из полученных) по его названию и возвращаем его ID
		try
		{
			$CityData = $Model -> getCityByTitle($city_title);
			CheckData::existsDataArray($CityData);
			
			$City = reset($CityData);
			
			return $City -> cat_id;
		}
		catch (Exception_CheckData $e)
		{
			
		}
		//Если город в БД отсутствует, создаем новый
		$Model -> createCity($city_title);
		
		//Получаем ID только что созданного города и возвращаем его
		return $Model -> getLastId();
	}
}