<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель контакты
 */

class Modules_Contacts_Models_Contacts extends Guard_Model
{
	/**
	 * Возвращает данные
	 *
	 * @return object
	 */
	public function getData()
	{
		return new XML("./files/db/models/contacts/data.xml");
	}
	
	/**
	 * Обновляет контактные данные
	 *
	 * @param string $address
	 * @param string $phone
	 * @param string $email
	 * @param string $icq
	 * @param string $gtalk
	 * @param string $agent
	 * @param string $yonline
	 * @param string $skype
	 * @param string $map
	 */
	public function update($address=null,$phone=null,$email=null,$icq=null,$gtalk=null,$agent=null,$yonline=null,$skype=null,$map=null)
	{
		XMLDocument::setObj("./files/db/models/contacts/data.xml");
		XMLDocument::setData("//data/address",trim($address)); 
		XMLDocument::setData("//data/phone",trim($phone)); 
		XMLDocument::setData("//data/email",trim($email));
		XMLDocument::setData("//data/icq",trim($icq));
		XMLDocument::setData("//data/gtalk",trim($gtalk));
		XMLDocument::setData("//data/agent",trim($agent));
		XMLDocument::setData("//data/yonline",trim($yonline));
		XMLDocument::setData("//data/skype",trim($skype));
		XMLDocument::setData("//data/map",trim($map));
		XMLDocument::save(); 
	}
}