<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер "Рабочий стол", для админа
 */

class Modules_Desktop_Controllers_Admin extends Guard_Controller
{
	/**
	 * Отображает рабочий стол
	 *
	 */
	public function indexAction()
	{
		//Получаем данные модулей
		$ModulesData = Registry::get("Modules");
		
		//Получаем шаблон оформления иконки
		$Template = parent::getTemplate("icon");
		 
		$this -> view -> icon_ar = array();
		foreach($ModulesData as $name => $Model)
		{
			if(isset($Model['desktop']) && $Model['desktop'] == 1 && $Model['access'] == 1)
			{
				$Template -> url = "admin.php?mod=".$name;
				$Template -> img = is_file('./images/views/desktop/icon54-'.$name.'.png') ? '/images/views/desktop/icon54-'.$name.'.png' : '/images/views/desktop/icon54-default.png';
				$Template -> title = $Model['title'];
				
				$this -> view -> icon_ar[] = $Template -> getView();
			}
		}
		
		Factory::style('/images/views/desktop/style.css');
		$this -> view -> cols = 5;
		$this -> view -> rows = sizeof($this -> view -> icon_ar);
		
		$this -> view -> count_us 		= parent::getModel('Users', 'Users') -> countUsers();
		$this -> view -> count_st 		= parent::getModel('City', 'City') -> countCityes();
		$this -> view -> count_ad 		= parent::getModel('Ad', 'Board') -> getCountAd();
		$this -> view -> count_lock_ad 	= parent::getModel('Ad', 'Board') -> getCountAd(TRUE);
		$this -> view -> count_old_ad 	= parent::getModel('Ad', 'Board') -> countOldAd();
		$this -> view -> count_ad_ar 	= parent::getModel('Ad', 'Board') -> getCountArAdForDesktop();
		
	}
}