<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер "Page", для админа
 */

class Modules_Page_Controllers_Admin extends Guard_Controller
{
	/**
	 * Отображает список страниц
	 *
	 */
	public function indexAction()
	{
		//Подключаем подсказки



		Factory::zebra();
		$this -> view -> PageAr = parent::getModel("Page","Page") -> getAllPage();
	}


















































	
	/**
	 * Добавляет новую статью
	 *
	 */
	public function addAction()
	{
		if(Request::isPost() == TRUE)
		{








			//Сохраняем данные
			parent::getModel("Page","Page") -> addPage(
				Request::getPost("pg_title"),
				Request::getPost("pg_meta_title"),
				Request::getPost("pg_meta_keywords"),
				Request::getPost("pg_meta_description"),
				Request::getPost("pg_text")
			);
			parent::redirect(Lng::_("TRUE:Страница создана"));
		}
		
		//View

		Element_Wysiwyg::get(array(
			'id' => '#pg_text',
		));
		
		$this -> view -> page_title = Lng::_('Создание страницы');
		$this -> view -> form_action = "admin.php?mod=page&go=add";
	}
	
	/**
	 * Редактирует статью
	 *
	 */
	public function editAction()
	{
		//View
		parent::setView('./modules/page/views/admin/add.phtml');
		
		//Sets

		$pg_id = Request::getGet("pg_id","int");

		
		if(Request::isPost())
		{
			parent::getModel("Page","Page") -> editPage(

				$pg_id,
				Request::getPost("pg_title"),
				Request::getPost("pg_meta_title"),
				Request::getPost("pg_meta_keywords"),
				Request::getPost("pg_meta_description"),
				Request::getPost("pg_text")


			);
			parent::redirect(Lng::_("TRUE:Страница отредактирована"),"admin.php?mod=page&go=edit&pg_id=".$pg_id);
		}
		$Page = parent::getModel("Page","Page") -> getPageById($pg_id);

		//View

		Element_Wysiwyg::get(array(
			'id' => '#pg_text',
		));
		
		$this -> view -> page_title = Lng::_('Редактирование страницы');
		$this -> view -> form_action = "admin.php?mod=page&go=edit&pg_id=".$pg_id;
		
		$this -> view -> pg_title			 = $Page -> pg_title;
		$this -> view -> pg_meta_title		 = $Page -> pg_meta_title;

		$this -> view -> pg_meta_keywords	 = $Page -> pg_meta_keywords;
		$this -> view -> pg_meta_description = $Page -> pg_meta_description;
		$this -> view -> pg_text			 = $Page -> pg_text;



	}
	
	/**
	 * Удаляет статью
	 *
	 */
	public function deleteAction()
	{
		parent::getModel("Page","Page") -> deletePage(Request::getGet("pg_id","int"));
		
		parent::redirect(Lng::_("TRUE:Страница удалена"),"admin.php?mod=page");
	}
}