<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель новостной ленты
 */

class Modules_Page_Models_Page extends Guard_Model
{
	/**
	 * Возвращает данные страницы
	 *
	 * @param int $pg_id
	 * @return object
	 */
	public function getPageById($pg_id=0)
	{
		return parent::getDataById("mod_page","pg_id",((int)$pg_id),"Не удалось получить данные страницы");
	}
	
	/**
	 * Возвращает список всех статей для гостя
	 *
	 * @return array
	 */
	public function getAllPage()
	{
		$sql = "SELECT `pg_id`, `pg_title`, `pg_date_create`
				FROM 
			`#__mod_page` 
				ORDER BY 
			`pg_date_create` DESC";
		
		return parent::sqlToArray($sql,"pg_id","Не удалось получить данные всех страниц");
	}
	
	/**


















	 * Создает страницу

	 * @param type $pg_title
	 * @param type $pg_meta_title
	 * @param type $pg_meta_keywords
	 * @param type $pg_meta_description

	 * @param type $pg_text
	 */
	public function addPage($pg_title, $pg_meta_title, $pg_meta_keywords, $pg_meta_description, $pg_text)
	{
		$sql = "INSERT INTO `#__mod_page` 
			(`pg_title`,`pg_meta_title`,`pg_meta_keywords`,`pg_meta_description`,`pg_text`,`pg_date_create`)
				VALUES
			('".mysql_real_escape_string($pg_title)."',

			 '".mysql_real_escape_string($pg_meta_title)."',
			 '".mysql_real_escape_string($pg_meta_keywords)."',
			 '".mysql_real_escape_string($pg_meta_description)."',


			 '".mysql_real_escape_string($pg_text)."',
			 '".time()."')";
		
			$this -> DB -> setQuery($sql, "Не удалось сохранить страницу");
	}
	
	/**
	 * Обновляет данные страницы
	 *







	 */
	public function editPage($pg_id, $pg_title, $pg_meta_title, $pg_meta_keywords, $pg_meta_description, $pg_text)
	{
		$sql = "UPDATE `#__mod_page` 
				SET
			`pg_title`='".mysql_real_escape_string($pg_title)."',

			`pg_meta_title`='".mysql_real_escape_string($pg_meta_title)."',
			`pg_meta_keywords`='".mysql_real_escape_string($pg_meta_keywords)."',
			`pg_meta_description`='".mysql_real_escape_string($pg_meta_description)."',




















			`pg_text`='".mysql_real_escape_string($pg_text)."',
			`pg_date_create`='".time()."'

















			 	WHERE
			 `pg_id`='".((int)$pg_id)."'";
		
		$this -> DB -> setQuery($sql,"Не удалось обновить страницу");
	}
	
	/**
	 * Удаляет страницу
	 *
	 * @param int $pg_id id страницы
	 */
	public function deletePage($pg_id=0)
	{
		parent::deleteDataById("mod_page","pg_id",((int)$pg_id),"Во время удаления страницы возникла ошибка");
	}
}