<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер "Settings", для админа
 */

class Modules_Settings_Controllers_Admin extends Guard_Controller
{
	/**
	 * Настройки сайта
	 *
	 */
	public function indexAction()
	{
		if(Request::isPost())
		{
			try
			{
				//Сохраняем данные
				parent::getModel("Settings","Settings") -> updateData(array(
					'site_title' 				=> Request::getPost("site_title","string",Lng::_('Без названия')),
					'site_keywords' 			=> Request::getPost("site_keywords"),
					'site_description' 			=> Request::getPost("site_description"),
					'site_host' 				=> Request::getPost("site_host"),
					'contacts_admin' 			=> Request::getPost("contacts_admin"),
					'contacts_email' 			=> Request::getPost("contacts_email"),
					'emails_support' 			=> Request::getPost("emails_support"),
					'emails_noreply' 			=> Request::getPost("emails_noreply"),
					'messages_locked' 			=> Request::getPost("messages_locked"),
					'messages_error' 			=> Request::getPost("messages_error"),
					'messages_db' 				=> Request::getPost("messages_db"),
				
				
					'pays_webmoney_wmid' 				=> Request::getPost("pays_webmoney_wmid"),
					'pays_webmoney_is_show_accepted' 	=> Request::getPost("pays_webmoney_is_show_accepted", 'int'),
					'pays_webmoney_is_show_certificate' => Request::getPost("pays_webmoney_is_show_certificate", 'int'),
					'pays_interkassa_is_show' 			=> Request::getPost("pays_interkassa_is_show", 'int'),
					'pays_robokassa_is_show' 			=> Request::getPost("pays_robokassa_is_show", 'int'),
					'pays_liqpay_is_show' 				=> Request::getPost("pays_liqpay_is_show", 'int'),
					'pays_liqpay_is_show_mastercard' 	=> Request::getPost("pays_liqpay_is_show_mastercard", 'int'),
					'pays_liqpay_is_show_visa' 			=> Request::getPost("pays_liqpay_is_show_visa", 'int'),
					'pays_liqpay_link_mastercard_info' 	=> Request::getPost("pays_liqpay_link_mastercard_info"),
					'pays_liqpay_link_visa_info' 		=> Request::getPost("pays_liqpay_link_visa_info"),
				
					'comment_disqus_shortname' 	=> Request::getPost("comment_disqus_shortname"),
				));
				
				parent::redirect(Lng::_("TRUE:Данные обновлены"));
			}
			catch (Exception $e)
			{
				parent::redirect(Lng::_('FALSE:Во время обновления данных возникла ошибка'));
			}
		}
		$this -> view -> Data = XML::getObj('./files/configure/config.xml');
	}
	
	/**
	 * Удаляет весь кэш
	 *
	 */
	public function cacheAction()
	{
		//Удаляем данные кэша
		CacheFile::instance() -> clean();
		
		parent::redirect(Lng::_('TRUE:Кэш удален'), 'admin.php?mod=settings');
	}
}