jQuery.fn.zebra = function(options)
{
	// настройки по умолчанию
	var options = jQuery.extend(
	{
		classEven: '', //Класс для четных строк
		classOdd: '', //Класс для нечетных строк
		classHover: '' //Класс при hover
	},options);

	return this.each(function()
	{
		//четные строки
		jQuery(this).find('tbody tr:even').addClass(options.classEven).hover(
			function()
			{
				jQuery(this).removeClass(options.classEven).addClass(options.classHover);
			},
			function()
			{
				jQuery(this).removeClass(options.classHover).addClass(options.classEven);
			}
		);

		//нечетные строки
		jQuery(this).find('tbody tr:odd').addClass(options.classOdd).hover(
			function()
			{
				jQuery(this).removeClass(options.classOdd).addClass(options.classHover);
			},
			function()
			{
				jQuery(this).removeClass(options.classHover).addClass(options.classOdd);
			}
		);
	});
};