-- phpMyAdmin SQL Dump
-- version 4.0.10.12
-- http://www.phpmyadmin.net
--
-- Хост: postphz.mysql.ukraine.com.ua
-- Время создания: Апр 30 2017 г., 10:45
-- Версия сервера: 5.6.34-79.1-log
-- Версия PHP: 5.6.30

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `postphz_dmdsk`
--

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_com_rating`
--

CREATE TABLE IF NOT EXISTS `dnt_com_rating` (
  `rt_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID',
  `obj_id` int(11) NOT NULL COMMENT 'ID к которому привязан рейтинг',
  `rt_count_clicks` int(11) NOT NULL DEFAULT '0' COMMENT 'Количество кликов',
  `rt_count_ball` int(11) NOT NULL DEFAULT '0' COMMENT 'Количество балов',
  `rt_group` varchar(20) NOT NULL COMMENT 'Группа к которой принадлежит рейтинг',
  PRIMARY KEY (`rt_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Компонент  ' AUTO_INCREMENT=12 ;

--
-- Дамп данных таблицы `dnt_com_rating`
--

INSERT INTO `dnt_com_rating` (`rt_id`, `obj_id`, `rt_count_clicks`, `rt_count_ball`, `rt_group`) VALUES
(1, 93, 1, 5, 'board_ad'),
(2, 95, 1, 5, 'board_ad'),
(3, 10, 1, 5, 'board_ad'),
(4, 89, 1, 5, 'board_ad'),
(5, 107, 1, 5, 'board_ad'),
(6, 209, 1, 5, 'board_ad'),
(7, 208, 1, 3, 'board_ad'),
(8, 211, 1, 5, 'board_ad'),
(9, 217, 1, 5, 'board_ad'),
(10, 216, 1, 5, 'board_ad'),
(11, 236, 1, 5, 'board_ad');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_board_ad`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_board_ad` (
  `ad_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `us_id` int(11) unsigned NOT NULL COMMENT 'ID Пользователя',
  `ad_meta_title` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'Meta-title',
  `ad_name` varchar(50) CHARACTER SET utf8 NOT NULL COMMENT 'Имя',
  `ad_email` varchar(35) CHARACTER SET utf8 NOT NULL COMMENT 'Email',
  `ad_phone` varchar(20) CHARACTER SET utf8 NOT NULL COMMENT 'Телефон',
  `ad_site` varchar(50) CHARACTER SET utf8 NOT NULL COMMENT 'Сайт',
  `ad_title` varchar(100) CHARACTER SET utf8 NOT NULL COMMENT 'Заголовок объявления',
  `ad_text` text CHARACTER SET utf8 NOT NULL COMMENT 'Текст объявления',
  `ad_region` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Id региона к которому относится объявление',
  `cat_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Категория, к которой относится объявление',
  `ad_foto` varchar(60) CHARACTER SET utf8 DEFAULT NULL COMMENT 'Фото к объявлению',
  `ad_sum` double unsigned NOT NULL COMMENT 'Цена',
  `ad_is_lock` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'Заблокировано/разблокировано объявление',
  `ad_keep` int(10) unsigned NOT NULL COMMENT 'Дата до которой хранится объявление на сайте',
  `ad_date` int(10) unsigned NOT NULL COMMENT 'Дата подачи объявления',
  `ad_count_shows` int(11) unsigned NOT NULL DEFAULT '0' COMMENT 'Количество просмотров объявлений',
  `ad_vip_date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Дата, до которой объявление будет иметь VIP статус',
  `ad_style` varchar(115) CHARACTER SET utf8 NOT NULL COMMENT 'Стиль оформления объявления',
  `ad_style_date` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Дата, до которой будет выделено объявление',
  `ad_topin_date` int(10) unsigned NOT NULL COMMENT 'Дата, до которой объявление будет отображаться в верху главной страницы',
  `ad_code` char(32) CHARACTER SET utf8 NOT NULL COMMENT 'Уникальный код объвления',
  PRIMARY KEY (`ad_id`),
  KEY `ad_is_lock` (`ad_is_lock`),
  KEY `cat_id` (`cat_id`),
  KEY `ad_vip_date` (`ad_vip_date`),
  KEY `ad_date` (`ad_date`),
  KEY `ad_style_date` (`ad_style_date`),
  KEY `ad_topin_date` (`ad_topin_date`),
  KEY `us_id` (`us_id`),
  KEY `ad_code` (`ad_code`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Модуль "Доска объявлений", объявления' AUTO_INCREMENT=268 ;

--
-- Дамп данных таблицы `dnt_mod_board_ad`
--

INSERT INTO `dnt_mod_board_ad` (`ad_id`, `us_id`, `ad_meta_title`, `ad_name`, `ad_email`, `ad_phone`, `ad_site`, `ad_title`, `ad_text`, `ad_region`, `cat_id`, `ad_foto`, `ad_sum`, `ad_is_lock`, `ad_keep`, `ad_date`, `ad_count_shows`, `ad_vip_date`, `ad_style`, `ad_style_date`, `ad_topin_date`, `ad_code`) VALUES
(263, 126, NULL, 'dzhenkins', 'smitnichka@ukr.net', '', '', 'Тестовое объявление', 'Тестовое описание объявления', 0, 795, '2017-03/15/04H58c8fc01f3b2b.jpg', 250, 0, 1490171521, 1489566721, 19, 0, '', 0, 0, 'b970934151909ce051a68c75e827ce5b'),
(264, 128, NULL, 'Димон', 'vldm2@vmani.com', '+38(999)9999999', '', 'Тест 2', 'Незареганый юзер', 0, 795, '2017-03/15/0be58c9050a6aaec.jpg', 5456, 0, 1490173920, 1489569120, 26, 0, '', 0, 0, 'e223120471ebd5d84a469cac88e9b56e'),
(267, 127, NULL, 'admin', 'admin@dostochka.ka', '+38(999)9999999', '', 'TEST AD', 'Тестирование объявления', 0, 795, '2017-04/11/gEI58ec9b685cd86.jpg', 9999, 0, 1493361956, 1492757156, 15, 0, '', 0, 0, '17d7f0a45cd0032a0e3d6cbc81d7bd2d');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_board_notepad`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_board_notepad` (
  `np_id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID Записи',
  `us_id` int(10) unsigned NOT NULL COMMENT 'ID Пользователя',
  `ad_id` int(10) unsigned NOT NULL COMMENT 'ID объявления',
  `np_date_create` int(10) unsigned NOT NULL COMMENT 'Дата добавления',
  KEY `us_id` (`us_id`),
  KEY `np_id` (`np_id`),
  KEY `ad_id` (`ad_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=cp1251 COMMENT='Таблица с данными блокнота' AUTO_INCREMENT=23 ;

--
-- Дамп данных таблицы `dnt_mod_board_notepad`
--

INSERT INTO `dnt_mod_board_notepad` (`np_id`, `us_id`, `ad_id`, `np_date_create`) VALUES
(21, 1, 125, 1489564373),
(22, 127, 267, 1491901330);

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_board_subscribe`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_board_subscribe` (
  `sb_id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Id подписчика',
  `sb_email` varchar(40) NOT NULL COMMENT 'e-mail подписчика',
  `sb_active` enum('0','1') NOT NULL DEFAULT '0' COMMENT 'Активирован (1) или не активирован (0) почтовый ящик',
  `sb_date` varchar(12) NOT NULL COMMENT 'Дата подписки',
  KEY `sb_id` (`sb_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Модуль "Доска объявлений", подписка на рассылку' AUTO_INCREMENT=42 ;

--
-- Дамп данных таблицы `dnt_mod_board_subscribe`
--

INSERT INTO `dnt_mod_board_subscribe` (`sb_id`, `sb_email`, `sb_active`, `sb_date`) VALUES
(3, 'shamroanastasija@mail.ru', '0', '1441892574'),
(4, 'KasabovRad777@e-mail.ru', '0', '1442044666'),
(5, 'kasabovrad777@e-mail.ua', '0', '1442045332'),
(6, 'yuliaw6ka@mail.ru', '0', '1442056664'),
(7, 'masandra9@gmail.com', '0', '1442560605'),
(8, 'skypix-470@skypix.com.ua', '0', '1442743259'),
(9, 'darus@list.ru', '0', '1442924824'),
(10, 'tsn415@trackers.com.ua', '0', '1443177135'),
(11, 'pkb_dneprodzerzhinsk@mail.ru', '0', '1444209591'),
(12, 'alinka12a@yandex.ua', '0', '1444397943'),
(13, 'vmbox@mail.ru', '0', '1444585945'),
(14, 'kostya_gvozdev@mail.ru', '0', '1444657222'),
(15, 'cat@seriali.com.ua', '0', '1445074750'),
(16, 'gruz@yastaff.ru', '0', '1445335594'),
(17, 'ppabundo@gmail.com', '0', '1445701189'),
(18, 'dzubak1@mail.ru', '0', '1445787352'),
(19, 'auditodessa2014@mail.ru', '0', '1445869302'),
(20, 'annagrib1987@gmail.com', '0', '1446065703'),
(21, 'eskortdp@yandex.ru', '0', '1446122399'),
(22, 'ni.avramenko@yandex.ua', '0', '1446142480'),
(23, '777i@ukr.net', '0', '1446396112'),
(24, 'zma1986@yandex.ru', '0', '1446456029'),
(25, 'liliya_potapkina@mail.ru', '0', '1446458209'),
(26, 'ksuhatatkova@mail.ru', '0', '1446558455'),
(27, 'cat@kino123.ru', '0', '1446562525'),
(28, 'audit@sefco.com.ua', '0', '1447180301'),
(29, 'orderwifi@skypix.com.ua', '0', '1447938978'),
(30, 'divo34@yandex.ru', '0', '1448571196'),
(31, 't0500341516@gmail.com', '0', '1448954571'),
(32, 'tvsputnikdp@yandex.ru', '0', '1448965412'),
(33, 'goldlaptops@gmail.com', '0', '1449331265'),
(34, 't.ntv-2011@yandex.ru', '0', '1449409598'),
(35, 'ministerstvo@online.ua', '0', '1450444193'),
(36, 'caterina.stadnikova@yandex.ru', '0', '1451494012'),
(37, '23vadim77@mail.ru', '0', '1451747481'),
(38, 'paradise7508@rambler.ru', '0', '1451988749'),
(39, 'vldm2@vmani.com', '0', '1489569034'),
(40, 'weqweqwe@mail.ru', '0', '1489758794'),
(41, 'yihihhiuhi@hiuuih.com', '0', '1491596966');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_news`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_news` (
  `nw_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `nw_title` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Заголовок новости',
  `nw_meta_title` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Meta-title',
  `nw_img_preview` varchar(40) CHARACTER SET utf8 NOT NULL COMMENT 'Изображение к статье',
  `nw_content` text CHARACTER SET utf8 NOT NULL COMMENT 'Новость, полностью',
  `nw_meta_keywords` varchar(300) CHARACTER SET utf8 NOT NULL COMMENT 'Мета-теги, ключевые слова',
  `nw_meta_description` varchar(250) CHARACTER SET utf8 NOT NULL COMMENT 'Мета-теги, описание',
  `nw_author` varchar(100) CHARACTER SET utf8 NOT NULL COMMENT 'Автор новости',
  `nw_is_comment` tinyint(1) unsigned NOT NULL COMMENT 'Подключен (1) модуль комментариев или нет (0)',
  `nw_date_create` int(12) unsigned NOT NULL COMMENT 'Дата публикации новости',
  PRIMARY KEY (`nw_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Модуль "Новостная лента v1.0"' AUTO_INCREMENT=19 ;

--
-- Дамп данных таблицы `dnt_mod_news`
--

INSERT INTO `dnt_mod_news` (`nw_id`, `nw_title`, `nw_meta_title`, `nw_img_preview`, `nw_content`, `nw_meta_keywords`, `nw_meta_description`, `nw_author`, `nw_is_comment`, `nw_date_create`) VALUES
(18, 'Тест', 'Тест', '', 'Тест', '', 'Тест', '', 0, 1489565360);

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_page`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_page` (
  `pg_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `pg_title` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Заголовок страницы',
  `pg_meta_title` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Meta-title',
  `pg_text` text CHARACTER SET utf8 NOT NULL COMMENT 'Содержимое страниц',
  `pg_meta_keywords` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Мета-теги, ключевые слова',
  `pg_meta_description` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Мета-теги, описание',
  `pg_date_create` int(12) unsigned NOT NULL COMMENT 'Дата создания',
  PRIMARY KEY (`pg_id`)
) ENGINE=InnoDB DEFAULT CHARSET=cp1251 COMMENT='Модуль "Новостная лента v1.0"' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_mod_user`
--

CREATE TABLE IF NOT EXISTS `dnt_mod_user` (
  `us_id` int(11) unsigned NOT NULL AUTO_INCREMENT COMMENT 'ID пользователя',
  `us_name` varchar(32) NOT NULL COMMENT 'Имя',
  `us_password` char(32) NOT NULL COMMENT 'Пароль',
  `us_email` varchar(127) NOT NULL COMMENT 'Почтовый ящик пользователя',
  `us_role` varchar(20) NOT NULL COMMENT 'Уровень доступа',
  PRIMARY KEY (`us_id`),
  UNIQUE KEY `us_email` (`us_email`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Модуль "Пользователи"' AUTO_INCREMENT=131 ;

--
-- Дамп данных таблицы `dnt_mod_user`
--

INSERT INTO `dnt_mod_user` (`us_id`, `us_name`, `us_password`, `us_email`, `us_role`) VALUES
(127, 'admin', '4aac888b6ac3be02777b3cece24c3d65', 'admin@dostochka.ka', 'administrator'),
(128, 'Димон', '6f7e6594e156617667e74f2f38577843', 'vldm2@vmani.com', 'user'),
(129, 'я ', 'a381df8007c85d9b9d2b334fd9b7e44e', 'weqweqwe@mail.ru', 'delete'),
(130, 'iuhiiuuhuh', '16346e523852cf66aa509c141846d3b9', 'yihihhiuhi@hiuuih.com', 'delete');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_sys_category`
--

CREATE TABLE IF NOT EXISTS `dnt_sys_category` (
  `cat_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cat_parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cat_title` varchar(255) CHARACTER SET utf8 NOT NULL,
  `cat_meta_title` varchar(255) CHARACTER SET utf8 NOT NULL COMMENT 'Meta-title',
  `cat_meta_keywords` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'Мета-ключевые слова',
  `cat_meta_description` varchar(255) CHARACTER SET utf8 DEFAULT NULL COMMENT 'Мета-описание',
  `cat_desctiption` text CHARACTER SET utf8 COMMENT 'Описание категории',
  `cat_ads_top` text CHARACTER SET utf8 COMMENT 'Реклама отображаемая вверху списка объявлений',
  `cat_ads_middle` text CHARACTER SET utf8 COMMENT 'Реклама отображаемая в центре списка объявлений',
  `cat_ads_bottom` text CHARACTER SET utf8 COMMENT 'Реклама отображаемая внизу списка объявлений',
  `cat_order` int(11) unsigned NOT NULL COMMENT 'Порядок вывода категорий',
  `cat_group` varchar(20) CHARACTER SET utf8 NOT NULL,
  PRIMARY KEY (`cat_id`),
  KEY `cat_parent_id` (`cat_parent_id`),
  KEY `cat_group` (`cat_group`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Таблица Категорий чего либо' AUTO_INCREMENT=814 ;

--
-- Дамп данных таблицы `dnt_sys_category`
--

INSERT INTO `dnt_sys_category` (`cat_id`, `cat_parent_id`, `cat_title`, `cat_meta_title`, `cat_meta_keywords`, `cat_meta_description`, `cat_desctiption`, `cat_ads_top`, `cat_ads_middle`, `cat_ads_bottom`, `cat_order`, `cat_group`) VALUES
(789, 0, 'Тестовая1', 'Тестовая1', 'Тестовая1', 'Тестовая1', 'Тестовая1', '', '', '', 0, 'board'),
(790, 0, 'Тестовая2', 'Тестовая2', 'Тестовая2', 'Тестовая2', 'Тестовая2', '', '', '', 0, 'board'),
(791, 0, 'Тестовая3', 'Тестовая3', 'Тестовая3', 'Тестовая3', 'Тестовая3', '', '', '', 0, 'board'),
(792, 0, 'Тестовая4', 'Тестовая4', 'Тестовая4', 'Тестовая4', 'Тестовая4', '', '', '', 0, 'board'),
(793, 0, 'Тестовая5', 'Тестовая5', 'Тестовая5', 'Тестовая5', 'Тестовая5', '', '', '', 0, 'board'),
(794, 0, 'Тестовая6', 'Тестовая6', 'Тестовая6', 'Тестовая6', 'Тестовая6', '', '', '', 0, 'board'),
(795, 789, 'Подкатегория1', 'Подкатегория1', 'Подкатегория1', 'Подкатегория1', 'Подкатегория1', '', '', '', 0, 'board'),
(796, 790, 'Подкатегория2', 'Подкатегория2', 'Подкатегория2', 'Подкатегория2', 'Подкатегория2', '', '', '', 0, 'board'),
(797, 791, 'Подкатегория3', 'Подкатегория3', 'Подкатегория3', 'Подкатегория3', 'Подкатегория3', '', '', '', 0, 'board'),
(798, 792, 'Подкатегория4', 'Подкатегория4', 'Подкатегория4', 'Подкатегория4', 'Подкатегория4', '', '', '', 0, 'board'),
(799, 793, 'Подкатегория5', 'Подкатегория5', 'Подкатегория5', 'Подкатегория5', 'Подкатегория5', '', '', '', 0, 'board'),
(801, 794, 'Подкатегория6', 'Подкатегория6', 'Подкатегория6', 'Подкатегория6', 'Подкатегория6', '', '', '', 0, 'board'),
(802, 0, 'Тестовая7', 'Тестовая7', 'Тестовая7', 'Тестовая7', 'Тестовая7', '', '', '', 0, 'board'),
(803, 0, 'Тестовая8', 'Тестовая8', 'Тестовая8', 'Тестовая8', 'Тестовая8', '', '', '', 0, 'board'),
(804, 0, 'Тестовая9', 'Тестовая9', 'Тестовая9', 'Тестовая9', 'Тестовая9', '', '', '', 0, 'board'),
(805, 0, 'Тестовая10', 'Тестовая10', 'Тестовая10', 'Тестовая10', 'Тестовая10', '', '', '', 0, 'board'),
(806, 0, 'Тестовая11', 'Тестовая11', 'Тестовая11', 'Тестовая11', 'Тестовая11', '', '', '', 0, 'board'),
(807, 0, 'Тестовая12', 'Тестовая12', 'Тестовая12', 'Тестовая12', 'Тестовая12', '', '', '', 0, 'board'),
(808, 802, 'Подкатегория7', 'Подкатегория7', 'Подкатегория7', 'Подкатегория7', 'Подкатегория7', '', '', '', 0, 'board'),
(809, 803, 'Подкатегория8', 'Подкатегория8', 'Подкатегория8', 'Подкатегория8', 'Подкатегория8', '', '', '', 0, 'board'),
(810, 805, 'Подкатегория10', 'Подкатегория10', 'Подкатегория10', 'Подкатегория10', 'Подкатегория10', '', '', '', 0, 'board'),
(811, 806, 'Подкатегория11', 'Подкатегория11', 'Подкатегория11', 'Подкатегория11', 'Подкатегория11', '', '', '', 0, 'board'),
(812, 807, 'Подкатегория12', 'Подкатегория12', 'Подкатегория12', 'Подкатегория12', 'Подкатегория12', '', '', '', 0, 'board'),
(813, 804, 'Подкатегория9', 'Подкатегория9', 'Подкатегория9', '', 'Подкатегория9', '', '', '', 0, 'board');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_sys_images`
--

CREATE TABLE IF NOT EXISTS `dnt_sys_images` (
  `im_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID изображения',
  `obj_id` int(11) NOT NULL DEFAULT '0' COMMENT 'ID объекта, к которому прикреплена фотография',
  `im_img` varchar(60) NOT NULL COMMENT 'Путь к изображению',
  `im_order` int(11) NOT NULL DEFAULT '0' COMMENT 'Порядковый номер фотографии',
  `im_group` varchar(10) NOT NULL COMMENT 'Группа, к которой относятся изображения',
  PRIMARY KEY (`im_id`),
  KEY `obj_id` (`obj_id`),
  KEY `im_group` (`im_group`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Системная таблица изображений' AUTO_INCREMENT=211 ;

--
-- Дамп данных таблицы `dnt_sys_images`
--

INSERT INTO `dnt_sys_images` (`im_id`, `obj_id`, `im_img`, `im_order`, `im_group`) VALUES
(210, 263, '2017-03/15/bxf58c8fc01f34f6.jpg', 1, 'board_ad');

-- --------------------------------------------------------

--
-- Структура таблицы `dnt_sys_pays`
--

CREATE TABLE IF NOT EXISTS `dnt_sys_pays` (
  `py_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `py_parent_id` int(10) unsigned NOT NULL COMMENT 'Объект к которому привязан платеж',
  `py_code` varchar(20) NOT NULL COMMENT 'Код платежной системы (только на английском)',
  `py_title` varchar(50) NOT NULL COMMENT 'Заголовок платежа',
  `py_description` text NOT NULL COMMENT 'Подробное описание платежа',
  `py_amount` varchar(20) NOT NULL DEFAULT '0' COMMENT 'Сумма операции',
  `py_operations` varchar(20) NOT NULL COMMENT 'Тип выполненной операции',
  `py_status` enum('0','1','2','3') NOT NULL DEFAULT '0' COMMENT 'Статус платежа (0 - не проведен, 1 - проведен, 2 - платеж на обработке, 3 - ошибка платежа)',
  `py_date_start` varchar(12) NOT NULL COMMENT 'Начало платежа',
  `py_date_end` varchar(12) NOT NULL COMMENT 'Конец платежа',
  `py_group` varchar(20) NOT NULL COMMENT 'Группа объектов платежа',
  PRIMARY KEY (`py_id`),
  KEY `py_parent_id` (`py_parent_id`),
  KEY `py_group` (`py_group`)
) ENGINE=InnoDB  DEFAULT CHARSET=cp1251 COMMENT='Таблица платежей' AUTO_INCREMENT=4 ;

--
-- Дамп данных таблицы `dnt_sys_pays`
--

INSERT INTO `dnt_sys_pays` (`py_id`, `py_parent_id`, `py_code`, `py_title`, `py_description`, `py_amount`, `py_operations`, `py_status`, `py_date_start`, `py_date_end`, `py_group`) VALUES
(1, 267, 'INTERKASSA', 'Платеж через систему INTERKASSA', '', '5', 'vip', '0', '1493457744', '0', 'board'),
(2, 267, 'INTERKASSA', 'Платеж через систему INTERKASSA', '', '2', 'style', '0', '1493457792', '0', 'board'),
(3, 267, 'INTERKASSA', 'Платеж через систему INTERKASSA', '', '5', 'vip', '0', '1493537567', '0', 'board');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
