var path_rgray = "/library/components/rating/images/icon16-rating_gray.gif";
var path_ryellow = "/library/components/rating/images/icon16-rating_yellow.gif";
$(document).ready(function()
{
	$("table.com_rating img").click(function(e)
	{
		table = $(this).parents("table.com_rating");
		if(table.attr("is_lock") == 1){return;}
		
		jQuery.ajax({
			type: 'post',
			url: table.attr("request"),
			dataType: 'json',
			data:{
				rating: $(this).attr("rating"),
				obj_id: table.attr("obj_id")
			},
			error: function(data)
			{
				alert(data);
			},
			beforeSend:function()
			{
				table.find("tr:eq(1)").find("td:eq(0)").addClass("loading");
			},
			success:function(data)
			{
				if(data.error)
				{
					alert(data.error);
					return true;
				}
				table.attr("is_lock","1");
				ComRating_scrollRating(data.avg_ball,table);
				table.find("tr:eq(1)").find("td:eq(0)").removeClass("loading");
				table.find("tr:eq(0)").find("td:eq(5)").find("b").text(data.rt_count_ball + " ");
			}
		});
	});

	$("table.com_rating img").mouseover(function(e)
	{
		table = $(this).parents("table.com_rating");
		if(table.attr("is_lock") == 1){return;}
		
		ComRating_scrollRating($(this).attr("rating"),table);
		table.find("tr:eq(1)").find("td:eq(0)").text($(this).attr("title"));
	});
	
	$("table.com_rating img").mouseout(function(e)
	{
		table = $(this).parents("table.com_rating");
		if(table.attr("is_lock") == 1){return;}

		table.find("tr:eq(1)").find("td:eq(0)").text("");
	});
});

/*Устанавливает значение рейтинга в соответствии с rating*/
function ComRating_scrollRating(rating,table)
{
	for(i = 1 ; i <= 5; i++)
	{
		table.find("img[rating=" + i + "]").attr("src",path_rgray);
	}
	for(i = 1 ; i <= rating; i++)
	{
		table.find("img[rating=" + i + "]").attr("src",path_ryellow);
	}
}