<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель "Rating" компонента "Rating"
 */

class Components_Rating_Models_Rating extends Guard_Model
{
	function __construct($group=null)
	{
		parent::__construct();
		$this -> group = $group;	
	}
	
	/**
	 * Возвращает данные рейтинга по его id 
	 *
	 * @param unknown_type $obj_id
	 * @return unknown
	 */
	public function getRatingById($obj_id=0)
	{
		$sql = "SELECT `obj_id`, `rt_count_clicks`, `rt_count_ball` 
			FROM 
		`#__com_rating` 
			WHERE 
		`obj_id`='".((int)$obj_id)."' 
			AND 
		`rt_group`='".$this -> group."'";
		
		return $this -> DB -> setQuery($sql,"Ну удалось получить данные рейтинга",true);
	}
	
	/**
	 * Добавляет рейтинг объекту
	 *
	 * @param int $obj_id id объекта
	 * @param int $rt_count_ball количество балов
	 */
	public function addRatingById($obj_id=0,$rt_count_ball=0)
	{
		$sql = "INSERT INTO `#__com_rating`
		(`obj_id`,`rt_count_clicks`,`rt_count_ball`,`rt_group`) 
			VALUES 
		('".((int)$obj_id)."','1','".((int)$rt_count_ball)."','".$this -> group."')";
		
		$this -> DB -> setQuery($sql,"Ну удалось обновить данные рейтинга");
	}
	
	/**
	 * Добавляет рейтинг объекту
	 *
	 * @param int $obj_id id объекта
	 * @param int $rt_count_ball количество балов
	 */
	public function updateRatingById($obj_id=0,$rt_count_ball=null)
	{
		$sql = "UPDATE 
			`#__com_rating` 
				SET
			`rt_count_clicks`=`rt_count_clicks`+1, 
			`rt_count_ball`=`rt_count_ball`+".((int)$rt_count_ball)." 
				WHERE 
			`obj_id`='".((int)$obj_id)."' 
				AND 
			`rt_group`='".$this -> group."'";
		
		$this -> DB -> setQuery($sql,"Не удлось обновить данные рейтинга");
	}
	
	/**
	 * Удаляет рейтинг по ID
	 *
	 * @param int $obj_id
	 */
	public function deleteRatingById($obj_id=0)
	{
		$this -> deleteRatingByAr(array($obj_id));
	}
	
	/**
	 * Удаляет массив данных рейтинга
	 *
	 * @param array $obj_ar
	 */
	public function deleteRatingByAr($obj_ar=array())
	{
		$sql = "DELETE 
			`#__com_rating` 
				FROM 
			`#__com_rating`
			WHERE 
		`obj_id` IN(".join(",",array_map("intval",$obj_ar)).") 
			AND 
		`rt_group`='".$this -> group."'";
		
		$this -> DB -> setQuery($sql,"Во время удаления данных рейтинга возникла ошибка");
	}
	
	/**
	 * Проверяет существования рейтинга объекта в БД
	 *
	 * @param int $obj_id
	 * @return bool
	 */
	public function isExistsId($obj_id=0)
	{
		$Data = $this -> getRatingById($obj_id);
		
		$count = 1;
		try
		{
			CheckData::existsDataObject($Data);
		}
		catch (Exception_CheckData $e)
		{
			$count = 0;
		}

		return $count;
	}
}