<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Класс проверки доступа
 */
 
class CheckAccess
{
	 /**
	  * Проверяет доступ к модулю
	  *
	  * @param string $module модуль
	  * @param string $block_modules возможные варианты модулей
	  * @return bool
	  */
	 public static function toModule($module = NULL, $modules = NULL)
	 {
	 	$modules = (string)$modules;
	 	if($modules == '*')
	 	{
	 		return TRUE;
	 	}
 		if(strstr($modules,$module))
		{
			return TRUE;
		}
		return FALSE;
	 }
	 
	 /**
	  * Проверяет привилегии пользователя к объекту
	  *
	  * @param string $us_role
	  * @param string $privileges
	  * @return bool
	  */
	 public static function privileges($us_role = NULL, $privileges = NULL)
	 {
	 	$privileges = (string)$privileges; 
	 	if($privileges == '*')
	 	{
	 		return TRUE;
	 	}
	 	$privileges_ar = explode(',',$privileges);

	 	foreach($privileges_ar as $privilege)
		{
			if(strstr($us_role, $privilege))
			{
				return TRUE;
			}
		}
		return FALSE;
	 }
}