<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Класс элемента Autochecker, для проверки данных (к примеру проверка существования аналогичного логина в системе)  
 */

class Element_Autochecker
{
	/**
	 * Подключает скрипт автодополнения
	 *
	 * @param string $element элемент к которому применяется автодополнение (обычно указывается элемнета)
	 * @param string $url ссылка проверки
	 * @param int $chars количество символов после которых будет срабатывать проверка
	 */
	public static  function get($element = NULL, $url = NULL, $chars = 3)
	{
		Factory::jqCode('
		var ac_clear_envFunc;

		function autochecker($this)
		{
			if($this.val().length > '.$chars.')
			{
				$("#skin-loader").addClass("skin-loader");
				$.get("'.$url.'&val=" + $this.val(), function(data)
				{
					$("#skin-loader").removeClass("skin-loader");
					
					if($this.next().attr("class") == "autochecker")
					{
						$this.next().html(data);
					}
					else
					{
						$this.after(\'<span class="autochecker">\' + data + \'</span>\');
						$this.next().show("slow");
					}
				});
			}
		}
		
		ac_clear_envFunc = setInterval(function(){
			var $e = $("'.$element.'");
			
			if($e.val().length > '.$chars.')
			{
				clearInterval(ac_clear_envFunc);
				autochecker($e);
			}
		}, 1000);
		
		$("'.$element.'").keyup(function()
		{
			autochecker($(this));
		});');
	}
}