<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Класс элемента Wysiwyg, для вывода WYSIWYG редактора
 */

class Element_Wysiwyg
{
	/**
	 * Подключает визивиг редактор
	 *
	 * @param array $cnf_ar настройки редактора
	 */
	public static function get($cnf_ar = array())
	{
		static $is_code;

		$cnf_ar = $cnf_ar + array(
			'language' 	=> Lng::curLng(),
			'width'  	=> '100%',
			'height' 	=> '300px',
			'id' 	 	=> 'textarea_default',
		);
		
		if($is_code == FALSE)
		{
			$is_code = TRUE;
			Site::addSkinVar('script', View::get('./skins/common/wysiwyg', $cnf_ar));
		}
	}
	
	/**
	 * Возвращает текстовый редактор
	 *
	 * @param string $name
	 * @param string $value
	 * @param array $attributes
	 * @return string
	 */
	public function textarea($name = NULL, $value = NULL, array $attributes = array())
	{
		$c = '';
		if(sizeof($attributes) > 0)
		{
			if(isset($attributes['id']) == FALSE)
			{
				$attributes['id'] = $name;
			}
			if(isset($attributes['class']) == FALSE)
			{
				$attributes['class'] = 'textarea';
			}
		}
		else
		{
			$attributes = array(
				'id' => $name,
				'class' => 'textarea',
			);
		}
		
		$c .= Helper_Form::textarea($name, $value, $attributes);
		
		return $c;
	}
}