<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Хелпер работы с конфиг. файлом
 */

class Helper_Config
{
	/**
	 * Подключает файл как require_once
	 *
	 * @param string $path_to_file путь к файлу
	 * @param bool $is_get_content получать или не получать содержимое файла
	 * @return mixed
	 */
	public static function loadFile($path_to_file = null, $is_get_content = true)
	{
		static $f_ar;
		
		if(is_file($path_to_file))
		{
			if(isset($f_ar[$path_to_file]) == false)
			{
				if($is_get_content === true)
				{
					$f_ar[$path_to_file] = require_once($path_to_file);
				}
				else
				{
					require_once($path_to_file);
				}
			}
			return $f_ar[$path_to_file];
		}
		return false;
	}
}
