<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер "Доска объявлений, Блокнот"
 */

class Modules_Board_Controllers_IndexNotepad extends Modules_Board_Controllers_Index
{
	/**
	 * Список объявлений
	 *
	 */
	public function indexAction()
	{
		//Ограничеваем доступ к контроллеру
		User::checkPrivilegesPage(array(User::ROLE_USER, User::ROLE_ADMIN), TRUE);
		
		Factory::zebra();
		//Получаем объявления пользователя
		$this -> view -> Ads = parent::getModel("Notepad") -> getAdByUsId(User::get("id"));
		
		Site::addSkinVar("title", Lng::_('Мой блокнот'));
	}
	
	/**
	 * Удаляет объявление
	 *
	 */
	public function deleteAction()
	{
		//Ограничеваем доступ к контроллеру
		User::checkPrivilegesPage(array(User::ROLE_USER, User::ROLE_ADMIN), TRUE);
		
		//Удаляем
		parent::getModel("Notepad") -> delete(
			User::get("id"),
			Request::getGet("np_id","int",0)
		);
		
		//Удаляем объявление
		parent::redirect(Lng::_("TRUE:Объявление с блокнота удалено"),"index.php?mod=board.notepad");
	}
}