<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер контактов, для админа
 */

class Modules_Contacts_Controllers_Admin extends Guard_Controller
{
	/**
	 * Отображает форму редактирования контактных данных
	 *
	 */
	public function indexAction()
	{
		if(Request::isPost())
		{
			try
			{
				$this -> getModel() -> update(
					Request::getPost("address"),
					Request::getPost("phone"),
					Request::getPost("email"),
					Request::getPost("icq"),
					Request::getPost("gtalk"),
					Request::getPost("agent"),
					Request::getPost("yonline"),
					Request::getPost("skype"),
					Request::getPost("map")
				);
			}
			catch(Exception $e)
			{
				parent::redirect(Lng::_('FALSE:Во время сохранения данных возникла ошибка'));
			}
			parent::redirect(Lng::_("TRUE:Контактные данные сохранены"));
		}
		$Model = parent::getModel() -> getData();
		$this -> view -> address 	=  $Model -> address;
		$this -> view -> phone 		=  $Model -> phone;
		$this -> view -> email 		=  $Model -> email;
		$this -> view -> icq 		=  $Model -> icq;
		$this -> view -> gtalk 		=  $Model -> gtalk;
		$this -> view -> agent 		=  $Model -> agent;
		$this -> view -> yonline 	=  $Model -> yonline;
		$this -> view -> skype 		=  $Model -> skype;
		$this -> view -> map 		=  $Model -> map;
	}
}