<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер "Фрма обратной связи", для формирования sitemap.xml файла
 */

class Modules_Feedback_Controllers_Sitemap extends Guard_Base
{
	/**
	 * Возвращает элементы для формирования sitemap.xml файла
	 *
	 * @return array
	 */
	public function getElements()
	{
		return array("index" => array("changefreq" => "monthly", "priority" => "0.5", "lastmod" => ""));//Главная страница модуля
	}
	
	/**
	 * Формирует часть sitemap.xml файла
	 *
	 * @param array $data_ar данные
	 */
	public function formedSitemapFile($data_ar=array())
	{
		return Sitemap::formedUrlBlock(URL::getHost()."/".URL::trans("index.php?mod=feedback"),$data_ar['index']['lastmod'],$data_ar['index']['changefreq'],$data_ar['index']['priority']);
	}
}