<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Контроллер новостной ленты, для гостя
 */

class Modules_News_Controllers_Index extends Guard_Controller
{
	const PATH_DIR_NORMAL = './files/upload/news/';
	const PATH_VIEW_NORMAL = '/files/upload/news/';
	
	/**
	 * Отображает список статей
	 *
	 */
	public function indexAction()
	{
		//Sets



		$on_page = 10;
		$page = BreakPage::getPageNum();
		
		//View
		Site::addSkinVar("title",Lng::_('Новости сайта объявлений DNP.dp.ua'));
		BreakPage::addTitlePageNum();

		
		$this -> view -> ArticlesAr = parent::getModel("News","News") -> getListArticlesByLimit((($page-1)*$on_page),$on_page);;		
		$this -> view -> breakpage = BreakPage::getPages(parent::getModel("News","News") -> countArticles(),$on_page,$page,"index.php?mod=news&page=");



	}
	
	/**
	 * Отображает статью
	 *
	 */
	public function articleAction()
	{

		try
		{
			$Article = parent::getModel("News","News") -> getArticle(Request::getGet("nw_id","int"));
			CheckData::existsDataObject($Article);
		}
		catch(Exception_CheckData $e)
		{
			throw new Exception_440(Lng::_('Статья не найдена'));
		}
		
		//View

		Site::addSkinVar("title",$Article -> nw_meta_title);
		Site::setSkinVar("keywords",$Article -> nw_meta_keywords);
		Site::setSkinVar("description",$Article -> nw_meta_description);
		Site::addSkinVar('canonical', URL::site('index.php?mod=news&go=article&nw_id='.$Article -> nw_id, $Article -> nw_title));
		
		$this -> view -> addToView($Article);
		$this -> view -> comment_disqus_shortname = Registry::get('Config') -> comments -> comment_disqus_shortname;
	}
}