<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель "Robots" модуля "SEO"
 */

class Modules_SEO_Models_Robots extends Guard_Model
{
	/**
	 * Возвращает данные
	 *
	 * @return string
	 */
	public function getData()
	{
		if(is_file("./robots.txt"))
		{
			return file_get_contents("./robots.txt");
		}
		return null;
	}
	
	/**
	 * Сохраняет данные
	 *
	 * @param string $text
	 */
	public function setData($text)
	{
		if(is_file("./robots.txt"))
		{
			file_put_contents("./robots.txt",$text);
		}
	}
}