<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Модель "Settings" модуля "Settings"
 */

class Modules_Settings_Models_Settings extends Guard_Model
{
	/**
	 * Обновляет массив настроек сайта
	 *
	 * @param array $data_ar обновляемые данные
	 */
	public function updateData(array $data_ar = array())
	{
		$data_ar = array_map('trim', $data_ar);
		$data_ar = array_map('strip_tags', $data_ar);
		$data_ar = array_map('htmlspecialchars', $data_ar);
		
		//Обновляем данные
		$Data = XML::getObj('./files/configure/config.xml');
		$Data -> site -> title 							= $data_ar['site_title'];
		$Data -> site -> keywords 						= $data_ar['site_keywords']; 
		$Data -> site -> description 					= $data_ar['site_description'];
		$Data -> contacts -> admin 						= $data_ar['contacts_admin'];
		$Data -> contacts -> email 						= $data_ar['contacts_email'];
		$Data -> emails -> support 						= $data_ar['emails_support'];
		$Data -> emails -> noreply 						= $data_ar['emails_noreply'];
		$Data -> messages -> locked 					= $data_ar['messages_locked'];
		$Data -> messages -> error 						= $data_ar['messages_error'];
		$Data -> messages -> db 						= $data_ar['messages_db'];
		$Data -> pays -> webmoney -> wmid 				= $data_ar['pays_webmoney_wmid'];
		$Data -> pays -> webmoney -> is_show_accepted 	= $data_ar['pays_webmoney_is_show_accepted'];
		$Data -> pays -> webmoney -> is_show_certificate= $data_ar['pays_webmoney_is_show_certificate'];
		$Data -> pays -> interkassa -> is_show 			= $data_ar['pays_interkassa_is_show'];
		$Data -> pays -> robokassa -> is_show 			= $data_ar['pays_robokassa_is_show'];
		$Data -> pays -> liqpay -> is_show_liqpay 		= $data_ar['pays_liqpay_is_show'];
		$Data -> pays -> liqpay -> is_show_mastercard 	= $data_ar['pays_liqpay_is_show_mastercard'];
		$Data -> pays -> liqpay -> is_show_visa 		= $data_ar['pays_liqpay_is_show_visa'];
		$Data -> pays -> liqpay -> link_mastercard_info = $data_ar['pays_liqpay_link_mastercard_info'];
		$Data -> pays -> liqpay -> link_visa_info 		= $data_ar['pays_liqpay_link_visa_info'];
		$Data -> comments -> comment_disqus_shortname 	= $data_ar['comment_disqus_shortname'];
		XML::save();
	}
}