<?php defined("MOMENT_BOARD") or die("Access denied");
/**
 * @package MomentBoard v2.0
 * @copyright (c) guardeon.biz
 * @link http://guardeon.biz/
 * @author Pavel <support@guardeon.biz>
 * @desc Сервис - RSS лента последних объявлений 
 */

class Services_Sitemap_Service extends Guard_Base
{
	public function __construct()
	{
		if(isset($_GET['ser']) && $_GET['ser'] == "sitemap")
		{
			//Получаем зарегистрированные модули сайта
			$Modules = XML::getObj('./files/configure/modules.xml');
			
			//Получаем sitemap настрокий по умолчанию
			$configs_ar = parent::getModel("Sitemap","SEO") -> getElements($Modules);
			
			$configs_ar = array_merge(array(
				'sys:module' => array(
					/*'users' => 1,*/
					'page' => 1,
					'board' => 1,
					'feedback' => 1,
					'contacts' => 1,
				)
			), $configs_ar);
			
			if(isset($configs_ar['page']) == TRUE)
			{
				foreach ($configs_ar['page'] as $pg_id => $pg_ar)
				{
					if(isset($pg_ar['additional_ar']['#pg_title']))
					{
						$configs_ar['page'][$pg_id]['#pg_title'] = $pg_ar['additional_ar']['#pg_title'];
						unset($configs_ar['page'][$pg_id]['additional_ar']);
					}
				}
			}
			//Обновляем sitemap.xml файл
			parent::getModel("Sitemap","SEO") -> createSitemapFile($Modules, $configs_ar);
			
			exit;
		}
	}
}